import { ActionDslDefinition } from '@oinone/kunlun-dsl';
import { ActiveRecord } from '@oinone/kunlun-engine';
import { ListSelectMode } from '@oinone/kunlun-vue-ui-common';
import { BaseElementWidget } from '../../basic';
export declare class CardWidget extends BaseElementWidget {
    protected isCard: boolean;
    protected cols: number;
    protected get formData(): ActiveRecord;
    protected rowIndex: number | undefined;
    initialize(props: any): this;
    protected get minWidth(): number | null | undefined;
    protected get maxWidth(): number | null | undefined;
    protected get width(): number | null | undefined;
    protected get height(): number | null | undefined;
    protected get minHeight(): number;
    protected get maxHeight(): number | null | undefined;
    protected selectMode: ListSelectMode | undefined;
    protected get clickActionDslDefinition(): ActionDslDefinition | undefined;
    protected get allowClick(): boolean;
    protected onClick(): Promise<void>;
    protected get isSelected(): boolean;
    protected onCheckboxChange(val: boolean): void;
    protected get inlineActiveCount(): number | undefined;
}
